import { Injectable } from '@nestjs/common';
import { BaseDataService } from 'src/core/modules/data/service/base-data.service';
import { InjectRepository } from '@nestjs/typeorm';
import { TransactionModel } from '../models/transaction.model';
import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';
import { Repository } from 'typeorm';

@Injectable()
export class TransactionDataService extends BaseDataService<TransactionModel> {
  constructor(
    @InjectRepository(TransactionModel, CONNECTION_NAME.DEFAULT)
    private repo: Repository<TransactionModel>,
  ) {
    super(repo);
  }
}
